Subject: bug#48153: 28.0.50; minor mode keymaps should not override keymap given to read-from-minibuffer

From: Gregory Heytings <[email-masked]>
Date: Tue, 04 May 2021 14:29:36 +0000

>> It's literally just a global minor mode defined for your test minor 
>> mode, basically `(define-global-minor-mode test-global-mode test-mode 
>> (lambda() t))`
>
> In that case, you should disable (or rather, not enable) that minor mode 
> for minibuffers, for example:
>
> (define-global-minor-mode test-global-mode test-mode (lambda () (or 
> (minibufferp) (test-mode 1))))
>

(Note that this does not answer your question "In Emacs 27, turning the 
minor mode on inside the minibuffer would not override the key map given 
to read-from-minibuffer", with the above the effect is the same in Emacs 
27 and 28 AFAICS.  Without seeing the minor mode, I cannot help you more, 
I don't have a crystal ball.)